Upgrade tests failed: obsolete files left after the upgrade

Bug #1022927 reported by Victor Zhou
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
brltty (Ubuntu)
Fix Released
High
Luke Yelavich
Quantal
Fix Released
High
Luke Yelavich
gvfs (Ubuntu)
Fix Released
High
Unassigned
Quantal
Fix Released
High
Unassigned

Bug Description

Precise upgrade to Quantal, i386 | amd64 | desktop | server

Test run:
https://jenkins.qa.ubuntu.com/view/Quantal/view/Upgrade%20Testing%20Dashboard/job/quantal-upgrade-precise-desktop/55/ARCH=i386,LTS=non-lts,PROFILE=desktop,label=upgrade-test/

Traceback:

INFO:root:running 'share/post_upgrade_tests/test_conffiles.py' post_upgrade_test
======================================================================
FAIL: test_obsolete_configfile (__main__.TestConfFiles)
Check for obsolete config files after upgrade
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/test_conffiles.py", line 55, in test_obsolete_configfile
    output_file)
AssertionError: Obsolete config file found. Check log file '/tmp/obsolete_conffiles.log'

summary: - Precise upgrade to quantal upgrade test failed: obsolete files left
- after the upgrade
+ Precise to quantal upgrade test failed: obsolete files left after the
+ upgrade
Revision history for this message
Colin Watson (cjwatson) wrote : Re: Precise to quantal upgrade test failed: obsolete files left after the upgrade

brltty
  /etc/brltty/brl-sk-all.ktb
gvfs-bin
  /etc/bash_completion.d/gvfs-bash-completion.sh
netbase
  /etc/init.d/networking

Revision history for this message
Victor Zhou (victor.zhou) wrote :

Upgrade from oneiric to precise has the same problem in this bug

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Gema Gomez (gema)
Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → High
Revision history for this message
Victor Zhou (victor.zhou) wrote :

Upgrade from lucid to precise has the same problem in this bug

Gema Gomez (gema)
summary: - Precise to quantal upgrade test failed: obsolete files left after the
- upgrade
+ Upgrade tests failed: obsolete files left after the upgrade
Revision history for this message
nameremoved (errorwhywhywhy-deactivatedaccount) wrote :

I have experienced the same bug with upgrading from Oneric to Quantal. It says that Ubuntu has encountered an internal error then says a certain program needs to be updated.

Colin Watson (cjwatson)
affects: ubuntu-release-upgrader (Ubuntu) → brltty (Ubuntu)
Changed in gvfs (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in netbase (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Revision history for this message
Colin Watson (cjwatson) wrote :

netbase is no longer a problem; that file was taken over by ifupdown.

Changed in netbase (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
assignee: Colin Watson (cjwatson) → nobody
no longer affects: netbase (Ubuntu)
Revision history for this message
Colin Watson (cjwatson) wrote :

@MDV: You are not experiencing this bug, but some different one.

Gema Gomez (gema)
tags: added: rls-q-incoming
Changed in gvfs (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.13.4-0ubuntu2

---------------
gvfs (1.13.4-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - gvfs-bin "Pre-Depends: ${misc:Pre-Depends}"
  * debian/gvfs-bin.install:
    - install the bash completion file to the new usr location
  * debian/gvfs-bin.maintscript:
    - clean old conffiles on upgrade (lp: #1022927)
 -- Sebastien Bacher <email address hidden> Fri, 03 Aug 2012 16:59:08 +0200

Changed in gvfs (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Sebastien Bacher (seb128) wrote :

Hey Luke, could you have a look into that bug?

Changed in brltty (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
tags: removed: rls-q-incoming
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brltty - 4.4-5ubuntu2

---------------
brltty (4.4-5ubuntu2) quantal; urgency=low

  * Remove obsolete config file on upgrade from 4.3 or earlier. (LP: #1022927)
 -- Luke Yelavich <email address hidden> Mon, 10 Sep 2012 14:22:07 +1000

Changed in brltty (Ubuntu Quantal):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers